%define aurox_ver 11.0
%define	rel 1

%define	name	lefthand-lhmk
%define	version	2.4.1

Summary:	Lefthand Maa Ksigowo
Name:		%{name}
Version:	%{version}
Release:	%{aurox_ver}.aur.%{rel}
License:	Aplikacja Komercyjna
Url:		http://www.lefthand.pl/
Group:		Applications/Productivity
Source0:	%{name}-%{version}.tgz
Source1:	LeftHand.desktop

AutoReqProv:	no

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	tar
Requires:	lefthand-firebird

%description
Program dla firm prowadzcych podatkow ksig przychodw i rozchodw


%prep
%setup -q -n %name-%version

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/skel/Desktop
cp %{SOURCE1} $RPM_BUILD_ROOT/etc/skel/Desktop
mv -f $RPM_BUILD_DIR/%{name}-%{version}/opt $RPM_BUILD_ROOT/opt

%clean
rm -rf $RPM_BUILD_ROOT

%post
usermod -G  root,bin,daemon,sys,adm,disk,wheel,firebird root
mkdir -p /opt/LefthandDB
chown firebird.firebird /opt/LefthandDB
if [ ! -f /opt/LefthandDB/lh.gdb ] ; then
                cp /opt/lhmk-%{version}/db/lh.gdb /opt/LefthandDB
fi
chown firebird.firebird /opt/LefthandDB/lh.gdb
chmod 750 /opt/LefthandDB
chmod 640 /opt/LefthandDB/lh.gdb
chown -R firebird.firebird /opt/lhmk-%{version}/db
chmod 777 /opt/lhmk-%{version}/backups

%files
%defattr(755,root,root)
/opt/*
/etc/skel/Desktop/*.desktop

%changelog
* Tue Jul 19 2005 Rafal Kwasny <rkwasny@aurox.org> lefthand-mk-2.4.1-11.0.aur.1
- new upstream release
- rebuild

* Mon Apr 18 2005 Aurox Team <aurox@aurox.org> :-
- Pierwsza paczka z wersja 2.3.8.5

